package com.andreums.culturarocafort.adapters.videos;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import com.andreums.culturarocafort.fragments.videos.VideoFragment;
import com.andreums.culturarocafort.fragments.videos.VideoPlayListFragment;

public class VideosPagerAdapter extends FragmentPagerAdapter {
 
    public VideosPagerAdapter(FragmentManager fm) {
        super(fm);
    }
 
    @Override
    public Fragment getItem(int index) {
        switch (index) {
            case 0:
                // Top Rated fragment activity
                return new VideoFragment();
            case 1:
                // Games fragment activity
                return new VideoPlayListFragment();
        }
        return null;
    }
 
    @Override
    public int getCount() {
        // get item count - equal to number of tabs
        return 2;
    }
 
}