package com.andreums.culturarocafort.models;

import android.database.DatabaseUtils;

import com.andreums.culturarocafort.util.DateUtils;

public class FacebookPhoto{

    private String id;
    private String album_id;
    private String name;
    private String link;
    private String thumb;
    private String image;
    private String created_time;



    public FacebookPhoto(String id,String id_album, String name,String link,String thumb,String image,String created_time) {
        this.id             = id;
        this.album_id       = id_album;
        this.name           = name;
        this.link           = link;
        this.thumb          = thumb;
        this.image          = image;
        this.created_time   = created_time;
    }

    public FacebookPhoto() {

    }

    public String toSQL() {
        String name  = DatabaseUtils.sqlEscapeString(this.getName()).replace("'","");
        String date  = DateUtils.convertFromFacebookDateToDatabaseTimesTamp(this.created_time);
        String query = "INSERT INTO facebook_photos (id,id_album,name,link,thumbnail,image,created_time) VALUES ('"+this.id+"','"+this.album_id+"','"+name+"','"+this.link+"','"+this.thumb+"','"+this.image+"','"+date+"')";
        return query;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getThumb() {
        return thumb;
    }

    public void setThumb(String thumb) {
        this.thumb = thumb;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getCreated_time() {
        return created_time;
    }

    public void setCreated_time(String created_time) {
        this.created_time = created_time;
    }

    public String getAlbum_id() {
        return album_id;
    }

    public void setAlbum_id(String album_id) {
        this.album_id = album_id;
    }
}