package com.andreums.culturarocafort.models;

import android.database.DatabaseUtils;

public class GCMMessage {


    private int id;
    private String title;
    private String message;
    private String received;
    private boolean readed;


    public String toSQL() {
        String message   = DatabaseUtils.sqlEscapeString(this.getMessage()).replace("'","");
        String title     = DatabaseUtils.sqlEscapeString(this.getTitle()).replace("'","");
        String query     = "INSERT INTO gcm_messages (title,message,received,readed) VALUES ('"+title+"','"+message+"','"+this.getReceived()+"','"+this.getReadedToInteger()+"')";
        return query;
    }

    public GCMMessage() { }

    public GCMMessage(int id, String title, String message, String received, boolean readed) {
        this.id          = id;
        this.title       = title;
        this.message     = message;
        this.received    = received;
        this.readed      = readed;
    }


    public String getTitle(){
        return title;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public void setTitle(String title) {
        this.title = title;
    }


    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isReaded() {
        return readed;
    }

    public void setReaded(boolean readed) {
        this.readed = readed;
    }

    public boolean getReaded() {
        return this.readed;
    }

    int getReadedToInteger() {
        if (this.readed) {
            return 1;
        }
        return 0;
    }

    public String getReceived() {
        return this.received;
    }

    public void setReceived(String received) {
        this.received = received;
    }


}
