package com.andreums.culturarocafort.models;

import android.database.DatabaseUtils;

public class Video {


    private String id;
    private String title;
    private String description;
    private String url;
    private String published;
    private String thumbnail;
    private int in_playlist;


    public String toSQL() {
        String description = DatabaseUtils.sqlEscapeString(this.getDescription()).replace("'","");
        String title       = DatabaseUtils.sqlEscapeString(this.getTitle()).replace("'","");
        String query       = "INSERT INTO videos (id,title,description,url,published,thumbnail,in_playlist) VALUES ('"+this.id+"','"+title+"','"+description+"','"+this.getUrl()+"','"+this.getPublished()+"','"+this.getThumbnail()+"','"+this.in_playlist+"')";
        return query;
    }



    public Video() { }

    public Video(String id,String title,String description,String url,String published,String thumbnail,int in_playlist) {
        this.id          = id;
        this.title       = title;
        this.setDescription(description);
        this.url         = url;
        this.published   = published;
        this.thumbnail   = thumbnail;
        this.in_playlist = in_playlist;
    }


    public String getTitle(){
        return title;
    }

    public String getUrl() {
        return url;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPublished() {
        return published;
    }

    public void setPublished(String published) {
        this.published = published;
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public int getIn_playlist() {
        return this.in_playlist;
    }

    public void setIn_playlist(int in_playlist) {
        this.in_playlist = in_playlist;
    }


}
