package com.andreums.culturarocafort.util;

import org.apache.http.Header;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;

import java.io.IOException;

public class HttpUtil {

    private static Header[] headers;

    public static String getHeader(String url,String name) {
        String result = "";
        HttpUtil.invoke(url);
        try {
            for (Header header:HttpUtil.headers) {
                if (header.getName().equalsIgnoreCase(name)) {
                    result = header.getValue();
                    break;
                }
            }
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }

        return result;
    }

    private static void invoke(String url) {
        HttpClient client    = new DefaultHttpClient();
        HttpGet request      = new HttpGet(url);
        HttpResponse response;
        try {
            response         = client.execute(request);
            HttpUtil.headers = response.getAllHeaders();
        }
        catch (IOException e) {
            e.printStackTrace();
        }
        finally {
            client.getConnectionManager().shutdown();
        }
    }

    public static String getETag(String url) {
        return HttpUtil.getHeader(url,"ETag");
    }
}
