package com.andreums.culturarocafort.views.facebook;


import com.andreums.culturarocafort.models.FacebookPost;


public class FacebookStatusView implements IListFacebookPostViewItem {

	private final FacebookPost post;

    public FacebookStatusView(FacebookPost post) {
        this.post = post;
    }

    public FacebookPost getPost() {
        return this.post;
    }

    public String getText() {
        return this.post.getMessage();
    }

    @Override
    public String getDate() {
        return this.post.getPublished();
    }

    @Override
    public String getId() {
        return this.post.getId();
    }

    @Override
    public int getViewType() {
        return 0;
    }





}
