package com.andreums.culturarocafort.views.facebook;


import com.andreums.culturarocafort.models.FacebookPost;


public class FacebookVideoView implements IListFacebookPostViewItem {

	private final FacebookPost post;

    public FacebookVideoView(FacebookPost post) {
        this.post = post;
    }

    public FacebookPost getPost() {
        return this.post;
    }

    public String getText() {
        return this.post.getMessage();
    }

    public String getImage() {
        return this.post.getImage();
    }

    public String getThumbnail() {
        return this.post.getThumbnail();
    }

    @Override
    public String getDate() {
        return this.post.getPublished();
    }

    @Override
    public String getId() {
        return this.post.getId();
    }

    @Override
    public int getViewType() {
        return 3;
    }


}
