package com.andreums.culturarocafort.activities.contact;

import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.webkit.WebView;


import com.andreums.culturarocafort.Constants;
import com.andreums.culturarocafort.R;


public class PrivacyActivity extends ActionBarActivity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.lopd_activity);

        this.setActionBar();
        this.setWebView();

    }

    private void setWebView() {
        WebView webView = (WebView) findViewById(R.id.lopd_fragment_webview);
        webView.loadDataWithBaseURL(Constants.baseURL,getResources().getString(R.string.lopd_text),"text/html","UTF-8",null);
        webView.invalidate();
    }

    private void setActionBar() {
        getSupportActionBar().setIcon(R.drawable.ic_launcher);
        getSupportActionBar().setHomeButtonEnabled(true);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setTitle(getResources().getString(R.string.lopd_title));
    }

    public void cancel(View v) {
        finish();
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        return true;

    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {

            case android.R.id.home:
                this.finish();
                return true;

            default:
                break;
        }

        return true;
    }
}