package com.andreums.culturarocafort.models;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.ArrayList;


@JsonIgnoreProperties(ignoreUnknown = true)
public class Categories {


    @JsonProperty("categories")
    private ArrayList<PostCategory> categories;

    @JsonProperty("event_categories")
    private ArrayList<EventCategory> eventCategories;

    @JsonProperty("status")
    private String status;

    @JsonProperty("count_total")
    private int count_total;

    public ArrayList<PostCategory> getCategories() {
        return categories;
    }

    public void setCategories(ArrayList<PostCategory> categories) {
        this.categories = categories;
    }

    @JsonProperty("pages")
    private int pages;


    public ArrayList<EventCategory> getEventCategories() {
        return eventCategories;
    }

    public void setEventCategories(ArrayList<EventCategory> eventCategories) {
        this.eventCategories = eventCategories;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public int getCount_total() {
        return count_total;
    }

    public void setCount_total(int count_total) {
        this.count_total = count_total;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }
}
