package com.andreums.culturarocafort.models;

import android.database.DatabaseUtils;

public class FacebookAlbum{

  private String id;
  private String name;
  private String description;
  private String link;
  private String cover;
  private String created_time;
  private int count;

  public FacebookAlbum(String id,String name,String description,String link,String cover,String created_time) {
      this.id           = id;
      this.name         = name;
      this.description  = description;
      this.link         = link;
      this.cover        = cover;
      this.created_time = created_time;
  }

    public FacebookAlbum() {

    }


    public String toSQL() {
        String description  = DatabaseUtils.sqlEscapeString(this.getDescription()).replace("'","");
        String name         = DatabaseUtils.sqlEscapeString(this.getName()).replace("'","");
        //String date       = DateUtils.convertFromFacebookDateToDatabaseTimesTamp(this.created_time);
        String date         = this.created_time;
        String query = "INSERT INTO facebook_albums (id,name,description,link,cover,created_time) VALUES ('"+this.id+"','"+name+"','"+description+"','"+this.link+"','"+this.cover+"','"+date+"')";
        return query;
    }

    public String getId(){
    return id;
  }
  public void setId(String id){
    this.id=id;
  }

  public String getName(){
      return org.apache.commons.lang3.text.WordUtils.capitalize(this.name);
  }
  public void setName(String name){
    this.name=name;
  }


  public void setLink(String link) {
      this.link = link;
  }

  public String getLink() {
      return this.link;
  }

  public String getCover() {
      return this.cover;
  }


  public void setCover(String cover) {
      this.cover = cover;
  }

    public String getCreated_time() {
        return created_time;
    }

    public void setCreated_time(String created_time) {
        this.created_time = created_time;
    }


  @Override
  public String toString(){
    //returning name because that is what will be displayed in the Spinner control
    return(this.name);
  }

    String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }
}