package com.andreums.culturarocafort.models;

import android.database.DatabaseUtils;

public class FacebookPost {

    private String id;
    private String caption;
    private String link;
    private String published;
    private String updated;
    private String contents;
    private String image;
    private String thumbnail;
    private String type;
    private String message;
    private String name;


    public FacebookPost() {

    }


    public FacebookPost(String id, String caption, String link, String published, String updated, String contents, String image, String thumbnail, String type, String message, String name) {
        this.id        = id;
        this.caption   = caption;
        this.link      = link;
        this.updated   = updated;
        this.published = published;
        this.contents  = contents;
        this.image     = image;
        this.thumbnail = thumbnail;
        this.type      = type;
        this.message   = message;
        this.name      = name;
    }

    public String toSQL() {
        String caption  = DatabaseUtils.sqlEscapeString(this.getCaption()).replace("'","");
        String contents = DatabaseUtils.sqlEscapeString(this.getContents()).replace("'","");
        String message  = DatabaseUtils.sqlEscapeString(this.getMessage()).replace("'", "");
        String name     = DatabaseUtils.sqlEscapeString(this.getName()).replace("'", "");
        String query    = "INSERT INTO facebook_posts (id,caption,link,published,updated,contents,image,thumbnail,type,message,name) VALUES ('"+this.id+"','"+caption+"','"+this.link+"','"+this.published+"','"+this.updated+"','"+contents+"','"+this.image+"','"+this.thumbnail+"','"+this.type+"','"+message+"','"+name+"')";
        return query;
    }



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCaption() {
        return caption;
    }

    public void setCaption(String caption) {
        this.caption = caption;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }


    public String getPublished() {
        return this.published;
    }

    public String getUpdated() {
        return this.updated;
    }

    public void setUpdated(String updated) {
        this.updated   = updated;
    }

    public void setPublished(String published) {
        this.published = published;
    }


    public String getImage() {
        return this.image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getContents() {
        return this.contents;
    }

    public void setContent(String contents) {
        this.contents = contents;
    }


    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getThumbnail() {
        return this.thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }
}
