package com.andreums.culturarocafort.util;

import com.andreums.culturarocafort.models.Event;
import com.andreums.culturarocafort.models.EventCategory;
import com.andreums.culturarocafort.models.FacebookAlbum;
import com.andreums.culturarocafort.models.FacebookPost;
import com.andreums.culturarocafort.models.Post;
import com.andreums.culturarocafort.models.PostCategory;
import com.andreums.culturarocafort.models.Video;

import java.util.ArrayList;
import java.util.Stack;

import twitter4j.Status;

public class DataStorage {


    private static int gcmMessageId;
    private static int gcmMessageToView;

    private static boolean isFirstRunRunning;
    private static ArrayList<Event> events;
    private static ArrayList<Post> posts;
    private static ArrayList<EventCategory> eventCategories;
    private static ArrayList<PostCategory> postCategories;
    private static ArrayList<FacebookPost> facebookPosts;
    private static FacebookPost facebookPost;
    private static ArrayList<Video> videos;
    private static Video video;
    private static ArrayList<Status> twitterData;
    private static ArrayList<FacebookAlbum> facebookAlbums;
    private static Stack stack = new Stack();
    private static Post selectedPost;

    public static ArrayList<Post> getPosts() {
        return posts;
    }

    public static void setPosts(ArrayList<Post> posts) {
        DataStorage.posts = posts;
    }

    public static ArrayList<Event> getEvents() {
        return events;
    }

    public static void setEvents(ArrayList<Event> events) {
        DataStorage.events = events;
    }

    public static void setEventCategories(ArrayList<EventCategory> eventCategories) {
        DataStorage.eventCategories = eventCategories;
    }

    public static ArrayList<EventCategory> getEventCategories() {
        return DataStorage.eventCategories;
    }

    public static boolean isFirstRunRunning() {
        return DataStorage.isFirstRunRunning;
    }

    public static void setFirstRunRunning(boolean firstRunRunning) {
        DataStorage.isFirstRunRunning = firstRunRunning;
    }

    public static void setFacebookPosts(ArrayList<FacebookPost> facebookPosts) {
        DataStorage.facebookPosts = facebookPosts;
    }

    public static ArrayList<FacebookPost> getFacebookPosts() {
        return facebookPosts;
    }


    public static void setFacebookPost(FacebookPost post) {
        DataStorage.facebookPost = post;
    }
    public static FacebookPost getFacebookPost() {
        return facebookPost;
    }

    public static void setVideos(ArrayList<Video> videos) {
        DataStorage.videos = videos;
    }

    public static ArrayList<Video> getVideos() {
        return videos;
    }

    public static void setVideo(Video video) {
        DataStorage.video = video;
    }

    public static Video getVideo() {
        return video;
    }

    public static void setTwitterData(ArrayList<Status> twitterData) {
        DataStorage.twitterData = twitterData;
    }

    public static ArrayList<Status> getTwitterData() {
        return twitterData;
    }

    public static void setFacebookAlbums(ArrayList<FacebookAlbum> facebookAlbums) {
        DataStorage.facebookAlbums = facebookAlbums;
    }

    public static ArrayList<FacebookAlbum> getFacebookAlbums() {
        return facebookAlbums;
    }


    public static void pushProcess() {
        if (DataStorage.stack==null) {
            DataStorage.stack = new Stack();
        }
        DataStorage.stack.push(1);
    }

    public static void popProcess() {
        if (DataStorage.stack==null) {
            return;
        }
        if (!DataStorage.isStackEmpty()) {
            DataStorage.stack.pop();
        }
    }

    public static boolean isStackEmpty() {
        return DataStorage.stack.empty();
    }

    public static ArrayList<PostCategory> getPostCategories() {
        return postCategories;
    }

    public static void setPostCategories(ArrayList<PostCategory> postCategories) {
        DataStorage.postCategories = postCategories;
    }

    public static int getGcmMessageId() {
        return gcmMessageId;
    }

    public static void setGcmMessageId(int gcmMessageId) {
        DataStorage.gcmMessageId = gcmMessageId;
    }

    public static int getGcmMessageToView() {
        return gcmMessageToView;
    }

    public static void setGcmMessageToView(int gcmMessageToView) {
        DataStorage.gcmMessageToView = gcmMessageToView;
    }


    public static void setSelectedPost(Post post) {
        DataStorage.selectedPost = post;
    }
    public static Post getSelectedPost() {
        return DataStorage.selectedPost;
    }
}