package com.andreums.culturarocafort.views.events;

import com.andreums.culturarocafort.util.DateUtils;

public class EventHeaderView implements IListViewItem {
    private final String         date;
    private final String         shownDate;

    public EventHeaderView(String date) {
        this.date      = date;
        this.shownDate = DateUtils.convertEventHeaderDateFormat(date);
    }

    @Override
    public int getViewType() {
        return 1;
    }

    public String getShownDate() {
        return this.shownDate;
    }

    public String getDate() {
        return this.date;
    }


}
